Skip to main content
POST
/
entitlements
/
{entitlement_id}
/
customer
Create entitlement customer
curl --request POST \
  --url https://api.zenskar.com/entitlements/{entitlement_id}/customer \
  --header 'Content-Type: application/json' \
  --header 'organisation: <api-key>' \
  --header 'x-api-key: <api-key>' \
  --data '
{
  "customer": "<string>",
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "entitlement": "<string>",
  "expiry_at": "2023-11-07T05:31:56Z",
  "active_from": "2023-11-07T05:31:56Z",
  "quantity": 123,
  "quantity_used": 123,
  "contract_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "source_type": "Grant",
  "source_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "block_amount": 123,
  "invoice_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "event": "manual",
  "numeric_value": 123,
  "feature_option_value": "<string>",
  "status": "draft"
}
'
{
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "entitlement": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "customer": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "expiry_at": "2023-11-07T05:31:56Z",
  "active_from": "2023-11-07T05:31:56Z",
  "quantity": 123,
  "quantity_used": 123,
  "created_at": "2023-11-07T05:31:56Z"
}

Documentation Index

Fetch the complete documentation index at: https://docs2.zenskar.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

x-api-key
string
header
default:<your-api-key>
required
organisation
string
header
default:<your-organisation-id>
required

Path Parameters

entitlement_id
string<uuid>
required

Body

application/json

Create Entitlement Request Schema

customer
string
required

Customer ID

id
string<uuid> | null

Optional ID for the entitlement customer.

entitlement
string | null

Entitlement ID

expiry_at
string<date-time> | null

Entitlement Expiry Time

active_from
string<date-time> | null

Entitlement Active From

quantity
number | null

Entitlement Units assigned

quantity_used
number | null

Entitlement Units Consumed

contract_id
string<uuid> | null

Contract ID

source_type
enum<string> | null

Source Type

Available options:
Grant,
Billable,
Rollover,
Adjustment
source_id
string<uuid> | null

Source ID

block_amount
number | null

Block Amount

invoice_id
string<uuid> | null

Invoice ID

event
enum<string> | null

Event

Available options:
manual,
invoice,
payment,
auto
numeric_value
number | null

Numeric configuration value for feature-type entitlements

feature_option_value
string | null

Selected option for boolean/enum entitlements

status
enum<string> | null

Status of the entitlement customer record

Available options:
draft,
active,
expired,
voided

Response

Successful Response

Create Entitlement Customer Request Schema

id
string<uuid>
required

Entitlement Customer Row Id

entitlement
string<uuid>
required

Entitlement ID

customer
string<uuid>
required

Customer ID

expiry_at
string<date-time> | null

Entitlement Expiry Time

active_from
string<date-time> | null

Entitlement Active From

quantity
number | null

Entitlement Units assigned

quantity_used
number | null

Entitlement Units Consumed

created_at
string<date-time> | null

created time